'use strict';

const kit = require('@nuxt/kit');
const vite = require('./vite.cjs');
const webpack = require('./webpack.cjs');
require('./index.cjs');
require('@vue.ts/common');
require('@vue.ts/language');
require('unplugin');
require('magic-string');
require('typescript');
require('node:path');

const name = "@vue.ts/complex-types";
const version = "0.4.0";

const nuxt = kit.defineNuxtModule({
  meta: {
    name,
    version,
    configKey: "complexTypes",
    compatibility: {
      bridge: true
    }
  },
  defaults: {
    tsconfigPath: "tsconfig.json"
  },
  setup(options) {
    kit.addVitePlugin(vite(options));
    kit.addWebpackPlugin(webpack(options));
  }
});

module.exports = nuxt;
